Skip to main content
POST
/
{blueprint_instance_id}
/
chat
Python (SDK)
from meibelai import Meibelai
import os


with Meibelai(
    api_key_header=os.getenv("MEIBELAI_API_KEY_HEADER", ""),
) as m_client:

    res = m_client.blueprints.executions.send_chat_message(blueprint_instance_id="<id>", user_message="<value>", timeout_seconds=None, include_thinking=True, include_tool_activity=True)

    # Handle response
    print(res)
{
  "signal_id": "<string>",
  "response": {
    "message": "",
    "sources": [
      {
        "title": "<string>",
        "url": "<string>",
        "snippet": "<string>",
        "data_element_id": "<string>",
        "relevance_score": 123
      }
    ],
    "follow_up_questions": [
      "<string>"
    ],
    "call_to_actions": [
      {
        "label": "<string>",
        "action": "<string>",
        "action_data": {}
      }
    ],
    "artifacts": [
      {
        "artifact_id": "<string>",
        "filename": "<string>",
        "mime_type": "<string>",
        "content": "<string>",
        "storage_url": "<string>",
        "size_bytes": 123,
        "created_at": "<string>"
      }
    ]
  },
  "assistant_response": "<string>",
  "tool_activity": [
    {
      "tool_id": "<string>",
      "tool_name": "<string>",
      "arguments": {},
      "timestamp": "<string>",
      "result": {}
    }
  ],
  "thinking": "<string>",
  "token_usage": {}
}

Authorizations

Meibel-API-Key
string
header
required

Path Parameters

blueprint_instance_id
string
required

Body

application/json

Request body for chat message endpoints.

user_message
string
required

The user's chat message

timeout_seconds
integer | null
include_thinking
boolean | null
include_tool_activity
boolean | null

Response

Successful Response

Response from the non-streaming chat endpoint.

signal_id
string
required

Unique ID for this message exchange

response
ChatResponse · object
required

The structured response

assistant_response
string
required

The assistant response in text-format

tool_activity
ToolActivity · object[] | null
thinking
string | null
token_usage
Token Usage · object